lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Arturas Mazeika <maze...@gmail.com>
Subject impressive improvement in documentation
Date Fri, 11 Dec 2020 10:41:19 GMT
Hi Solr fans,

I am impressed to see that documentation of solr improves so nicely over
time. If one compares the 7.1 version of json api with the current (8.7)
one sees that additional fields are documented:

https://lucene.apache.org/solr/guide/8_7/json-request-api.html
Query parametersJSON field equivalent
q query
fq filter
start offset
rows limit
fl fields
sort sort
json.facet facet
json.<param_name> <param_name>
json.queries.<query_name> queries

https://lucene.apache.org/solr/guide/7_1/json-request-api.html
Query parameters JSON field equivalent

q

query

fq

filter

offset

start

limit

rows

sort

sort

json.facet

facet

Now, the issue is that if one searches in google for json api, one is
redirected often to older versions of the documentation (7.1 as of time of
writing this email. This is not anything new. If I search for sql server of
postgres documentation, I get redirected to a more frequently browsed older
versions, however postgres immediately gives a possibility to jump to older
or newer version of the description from the same page:

https://www.postgresql.org/docs/9.1/tutorial-window.html

with the following shown at the top of the page:
Documentation <https://www.postgresql.org/docs/> → PostgreSQL 9.1
<https://www.postgresql.org/docs/9.1/index.html>
Supported Versions: Current
<https://www.postgresql.org/docs/current/tutorial-window.html> (13
<https://www.postgresql.org/docs/13/tutorial-window.html>) / 12
<https://www.postgresql.org/docs/12/tutorial-window.html> / 11
<https://www.postgresql.org/docs/11/tutorial-window.html> / 10
<https://www.postgresql.org/docs/10/tutorial-window.html> / 9.6
<https://www.postgresql.org/docs/9.6/tutorial-window.html> / 9.5
<https://www.postgresql.org/docs/9.5/tutorial-window.html>
Development Versions: devel
<https://www.postgresql.org/docs/devel/tutorial-window.html>
Unsupported versions: 9.4
<https://www.postgresql.org/docs/9.4/tutorial-window.html> / 9.3
<https://www.postgresql.org/docs/9.3/tutorial-window.html> / 9.2
<https://www.postgresql.org/docs/9.2/tutorial-window.html> / 9.1
<https://www.postgresql.org/docs/9.1/tutorial-window.html> / 9.0
<https://www.postgresql.org/docs/9.0/tutorial-window.html> / 8.4
<https://www.postgresql.org/docs/8.4/tutorial-window.html>

I wonder, how hard would be to adjust the content management system, so one
can search with google, get redirected to solr page, and then with one
click away get to the latest version of documentation to learn, and jump
back to the installed version of solr, to see if the function maybe is not
yet available?

Cheers,
Arturas

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message